upgrade error from edgy server to feisty server becasue invoke-rc.d fails at "at"

Bug #108910 reported by tone77 on 2007-04-22
4
Affects Status Importance Assigned to Milestone
at (Ubuntu)
Medium
Unassigned

Bug Description

I was doing a remote upgrade via ssh and got the following error

Setting up console-setup (1.13ubuntu13) ...
Installing new version of config file /etc/init.d/keyboard-setup ...
Installing new version of config file /etc/init.d/console-setup ...
 * Saving console font and keymap for next boot... [ OK ]
update-initramfs: Generating /boot/initrd.img-2.6.17-10-server
cp: cannot stat `/etc/udev/rules.d/05-options.rules': No such file or directory

Setting up linux-image-2.6.20-15-server (2.6.20-15.27) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.20-15-server
cp: cannot stat `/etc/udev/rules.d/05-options.rules': No such file or directory
Running postinst hook script /sbin/update-grub.
Your /etc/kernel-img.conf needs to be updated. Read grub's NEWS.Debian[1]
file and follow its instructions.

 1. /usr/share/doc/grub/NEWS.Debian.gz

You shouldn't call /sbin/update-grub. Please call /usr/sbin/update-grub instead!

Searching for GRUB installation directory ... found: /boot/grub
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.20-15-server
Found kernel: /boot/vmlinuz-2.6.17-10-server
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Setting up linux-image-server (2.6.20.15.14) ...
Setting up linux-server (2.6.20.15.14) ...
Setting up udev (108-0ubuntu4) ...
Installing new version of config file /etc/udev/rules.d/20-names.rules ...
Installing new version of config file /etc/udev/rules.d/25-iftab.rules ...
Installing new version of config file /etc/udev/rules.d/40-permissions.rules ...
Installing new version of config file /etc/udev/rules.d/60-symlinks.rules ...
Installing new version of config file /etc/udev/rules.d/80-programs.rules ...
Installing new version of config file /etc/udev/rules.d/90-modprobe.rules ...
Installing new version of config file /etc/udev/rules.d/00-init.rules ...
Installing new version of config file /etc/udev/rules.d/65-persistent-input.rules ...
Installing new version of config file /etc/udev/rules.d/65-persistent-storage.rules ...
Installing new version of config file /etc/udev/rules.d/99-udevmonitor.rules ...
Installing new version of config file /etc/init.d/udev ...
Adding nvram group...
update-initramfs: Generating /boot/initrd.img-2.6.20-15-server

Setting up pcmciautils (014-3ubuntu2) ...
Installing new version of config file /etc/init.d/pcmciautils ...

Setting up ubuntu-minimal (1.43) ...
Errors were encountered while processing:
 at
 ubuntu-standard

Could not install the upgrades
The upgrade aborts now. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).

Please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.
E:Sub-process /usr/bin/dpkg returned an error code (1)
Setting up at (3.1.10ubuntu4) ...
 * Starting deferred execution scheduler atd invoke-rc.d: initscript atd, action "start" failed.
dpkg: error processing at (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of ubuntu-standard:
 ubuntu-standard depends on at; however:
  Package at is not configured yet.
dpkg: error processing ubuntu-standard (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 at
 ubuntu-standard

Could not install the upgrades
The upgrade aborts now. Your system could be in an unusable state. A recovery will run now (dpkg --configure -a).

Please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bugreport.
installArchives() failed
Setting up at (3.1.10ubuntu4) ...
 * Starting deferred execution scheduler atd invoke-rc.d: initscript atd, action "start" failed.
dpkg: error processing at (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of ubuntu-standard:
 ubuntu-standard depends on at; however:
  Package at is not configured yet.
dpkg: error processing ubuntu-standard (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 at
 ubuntu-standard

/var/log/dist-upgrade# cat apt.log
Installing libc6 as dep of libpci2
Installing gcc-4.1-base as dep of libstdc++6
Installing libgcc1 as dep of libstdc++6
Installing libbz2-1.0 as dep of bzip2
Installing libdns22 as dep of bind9
Installing libssl0.9.8 as dep of libdns22
Installing libisccfg1 as dep of bind9
Installing libisc11 as dep of bind9
Installing libisccc0 as dep of bind9
Installing courier-base as dep of courier-imap
Installing libselinux1 as dep of libblkid1
Installing libsepol1 as dep of libselinux1
Installing dhcp3-common as dep of dhcp3-client
Installing libsasl2-2 as dep of libsasl2
Installing libdb4.2 as dep of libsasl2-2
Installing libsasl2-modules as dep of libsasl2-2
Installing libslang2 as dep of whiptail
new important dependency: command-not-found
Installing command-not-found as dep of ubuntu-standard
Installing python-central as dep of command-not-found
Installing command-not-found-data as dep of command-not-found
Installing python2.5 as dep of update-manager-core
Installing python2.5-minimal as dep of python2.5
Installing libreadline5 as dep of python2.5
Installing libsqlite3-0 as dep of python2.5
Installing libgpg-error0 as dep of libopencdk8
Installing perl-base as dep of perl
Installing perl-modules as dep of perl
Installing mysql-client-5.0 as dep of mysql-server-5.0
Installing mysql-common as dep of mysql-client-5.0
Installing libmysqlclient15off as dep of mysql-client-5.0
Installing apt as dep of aptitude
Installing linux-image-2.6.20-15-server as dep of linux-image-server
Installing dmsetup as dep of libdevmapper1.02
Installing volumeid as dep of udev
Installing libvolume-id0 as dep of volumeid
Installing courier-ssl as dep of courier-imap-ssl
Installing e2fslibs as dep of e2fsprogs
Installing upstart as dep of upstart-compat-sysv
Installing update-inetd as dep of netbase
Installing libasound2 as dep of alsa-utils
Installing libpq5 as dep of libsasl2-modules-sql
Installing libsqlite0 as dep of libsasl2-modules-sql
Installing libmagic1 as dep of file
Installing debconf as dep of tasksel
Installing expect as dep of courier-authlib
Installing tcl8.4 as dep of expect
Installing vim-runtime as dep of vim
Installing libdbus-1-3 as dep of wpasupplicant
Installing libapache2-mod-php5 as dep of php5-mysql
Installing apache2-mpm-prefork as dep of libapache2-mod-php5
Installing libapr1 as dep of apache2-mpm-prefork
Installing libaprutil1 as dep of apache2-mpm-prefork
Installing apache2.2-common as dep of apache2-mpm-prefork
Installing apache2-utils as dep of apache2.2-common
Installing php5-common as dep of libapache2-mod-php5
Installing ucf as dep of libapache2-mod-php5
Installing gpgv as dep of gnupg
Starting
Starting 2
Investigating libvolume-id0
Package libvolume-id0 has broken dep on libvolumeid0
  Considering libvolumeid0 4 as a solution to libvolume-id0 11
  Added libvolumeid0 to the remove list
  Fixing libvolume-id0 via remove of libvolumeid0
Investigating php5-mysql
Package php5-mysql has broken dep on php5-mysqli
  Considering php5-mysqli 0 as a solution to php5-mysql 1
  Added php5-mysqli to the remove list
  Fixing php5-mysql via remove of php5-mysqli
Done

/var/log/dist-upgrade# cat main.log
2007-04-22 08:31:19,713 INFO release-upgrader version '0.59.20' started
2007-04-22 08:31:19,803 DEBUG lsb-release: 'edgy'
2007-04-22 08:32:24,365 DEBUG _pythonSymlinkCheck run
2007-04-22 08:32:29,126 DEBUG Foreign:
2007-04-22 08:32:29,127 DEBUG Obsolete:
2007-04-22 08:32:29,127 DEBUG updateSourcesList()
2007-04-22 08:32:29,160 DEBUG rewriteSourcesList()
2007-04-22 08:32:29,168 DEBUG examining: 'deb http://us.archive.ubuntu.com/ubuntu/ edgy main restricted'
2007-04-22 08:32:29,168 DEBUG entry 'deb http://us.archive.ubuntu.com/ubuntu/ feisty main restricted' updated to new dist
2007-04-22 08:32:29,168 DEBUG examining: 'deb-src http://us.archive.ubuntu.com/ubuntu/ edgy main restricted'
2007-04-22 08:32:29,168 DEBUG entry 'deb-src http://us.archive.ubuntu.com/ubuntu/ feisty main restricted' updated to new dist
2007-04-22 08:32:29,168 DEBUG examining: 'deb http://us.archive.ubuntu.com/ubuntu/ edgy-updates main restricted'
2007-04-22 08:32:29,168 DEBUG entry 'deb http://us.archive.ubuntu.com/ubuntu/ feisty-updates main restricted' updated to new dist
2007-04-22 08:32:29,168 DEBUG examining: 'deb-src http://us.archive.ubuntu.com/ubuntu/ edgy-updates main restricted'
2007-04-22 08:32:29,168 DEBUG entry 'deb-src http://us.archive.ubuntu.com/ubuntu/ feisty-updates main restricted' updated to new dist
2007-04-22 08:32:29,169 DEBUG examining: 'deb http://us.archive.ubuntu.com/ubuntu/ edgy universe'
2007-04-22 08:32:29,169 DEBUG entry 'deb http://us.archive.ubuntu.com/ubuntu/ feisty universe' updated to new dist
2007-04-22 08:32:29,169 DEBUG examining: 'deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe'
2007-04-22 08:32:29,169 DEBUG entry 'deb-src http://us.archive.ubuntu.com/ubuntu/ feisty universe' updated to new dist
2007-04-22 08:32:29,169 DEBUG examining: 'deb http://us.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse'
2007-04-22 08:32:29,169 DEBUG entry 'deb http://us.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse' updated to new dist
2007-04-22 08:32:29,169 DEBUG examining: 'deb-src http://us.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse'
2007-04-22 08:32:29,170 DEBUG entry 'deb-src http://us.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse' updated to new dist
2007-04-22 08:32:29,170 DEBUG examining: 'deb http://security.ubuntu.com/ubuntu edgy-security main restricted'
2007-04-22 08:32:29,170 DEBUG entry 'deb http://security.ubuntu.com/ubuntu feisty-security main restricted' updated to new dist
2007-04-22 08:32:29,170 DEBUG examining: 'deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted'
2007-04-22 08:32:29,170 DEBUG entry 'deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted' updated to new dist
2007-04-22 08:32:29,170 DEBUG examining: 'deb http://security.ubuntu.com/ubuntu edgy-security universe'
2007-04-22 08:32:29,170 DEBUG entry 'deb http://security.ubuntu.com/ubuntu feisty-security universe' updated to new dist
2007-04-22 08:32:29,170 DEBUG examining: 'deb-src http://security.ubuntu.com/ubuntu edgy-security universe'
2007-04-22 08:32:29,171 DEBUG entry 'deb-src http://security.ubuntu.com/ubuntu feisty-security universe' updated to new dist
2007-04-22 08:32:47,242 DEBUG Purging 'xorg-common' (Distro PostUpgradePurge rule)
2007-04-22 08:32:47,242 DEBUG Purging 'libgl1-mesa' (Distro PostUpgradePurge rule)
2007-04-22 08:32:47,242 DEBUG running feistyQuirks handler
2007-04-22 08:32:47,256 DEBUG Kernel uname: '2.6.16.33-vpsX'
2007-04-22 08:32:47,256 WARNING Can't parse kernel uname: 'need more than 2 values to unpack' (self compiled?)
2007-04-22 08:32:49,035 DEBUG About to apply the following changes
2007-04-22 08:32:49,170 DEBUG Held-back:
2007-04-22 08:32:49,170 DEBUG Remove: libvolumeid0 php5-mysqli
2007-04-22 08:32:49,171 DEBUG Install: libapr1 python2.5 libdbus-1-3 ucf libsasl2-2 libpq5 apache2-utils dmsetup python2.5-minimal linux-image-2.6.20-15-server libsqlite3-0 libdb4.2 apache2.2-common libvolume-id0 libsqlite0 tcl8.4 libaprutil1 command-not-found-data libapache2-mod-php5 libdns22 gpgv apache2-mpm-prefork command-not-found update-inetd expect
2007-04-22 08:32:49,171 DEBUG Upgrade: x11-common makedev coreutils whiptail python libbz2-1.0 libklibc libc6 installation-report login diff udev telnet bind9-doc libsysfs2 php5-mysql libpam-runtime libkrb53 base-files tcpd ubuntu-standard libexpat1 iproute mew-beta-bin libstdc++6 manpages libxau6 grub libselinux1 pcmciautils system-services ncurses-bin at e2fsprogs sysklogd volumeid vim libssl0.9.8 libice6 initramfs-tools libpopt0 util-linux-locales cron wireless-tools vim-runtime libuuid1 wpasupplicant libgnutls13 libparted1.7-1 python-minimal upstart libungif4g popularity-contest console-terminus readline-common bind9-host libss2 wget libpcre3 mysql-server-5.0 sysv-rc debconf-i18n zlib1g belocs-locales-bin busybox-initramfs hdparm libsasl2-modules libpq4 openssh-server libpng12-0 libxml2 php5-common php5-cli vim-common bzip2 libx11-6 courier-pop courier-imap-ssl iputils-arping python-support mysql-server bind9 iputils-ping eject libpci2 findutils libdbi-perl gettext-base linux-sound-base module-init-tools libmagic1 tasksel tcpdump portmap libldap2 libgcc1 upstart-logd courier-pop-ssl courier-authlib hostname libdevmapper1.02 ethtool libisccc0 xaw3dg libbind9-0 console-setup libblkid1 libisc11 dosfstools nano klogd dnsutils libiw28 bash grep less libisccfg1 libpcap0.8 linux-server mew-beta info courier-imap alsa-utils libasound2 klibc-utils libgcrypt11 adduser lshw libgpg-error0 ubuntu-minimal dpkg reiserfsprogs libgc1c2 w3m libsm6 fdutils xkb-data python2.4-minimal tasksel-data gnupg libwrap0 libtext-charwidth-perl e2fslibs libidn11 libgsasl7 liblwres9 libcomerr2 ifupdown libdbd-mysql-perl libdb4.4 update-manager-core libfribidi0 perl courier-authlib-userdb libtasn1-3 postfix-mysql libconsole upstart-compat-sysv dash libncurses5 util-linux libattr1 courier-authdaemon procps libxmu6 lsb-release emacs21-bin-common emacs21-common python-central pciutils emacs21 openssh-client passwd mime-support libxext6 iputils-tracepath dhcp3-client mysql-common libc6-i686 python2.4 iptables libxt6 dselect ncurses-base strace debianutils debconf bsdmainutils locales file libpam-modules sysvutils libgpmg1 courier-authlib-mysql gzip courier-ssl parted libmysqlclient15off libsasl2 libacl1 libpam0g console-tools openssl ntpdate python-apt netbase aptitude libxpm4 libslang2 courier-base libncursesw5 psmisc ppp linux-image-server alsa-base pppconfig libsepol1 mount rsync man-db usbutils perl-base libreadline5 fam perl-modules postfix gcc-4.1-base libfam0 laptop-detect mysql-client-5.0 libdb4.3 lsb-base dhcp3-common apt libopencdk8 tar bsdutils apt-utils vim-tiny libxdmcp6 libsigc++-2.0-0c2a libsasl2-modules-sql pppoeconf libnewt0.52 startup-tasks initscripts libx11-data
2007-04-22 08:32:49,182 DEBUG Free space on /: 8503963648
2007-04-22 08:32:49,183 DEBUG Dir /usr mounted on /
2007-04-22 08:32:49,183 DEBUG Dir /var mounted on /
2007-04-22 08:32:49,183 DEBUG Dir /boot mounted on /
2007-04-22 08:32:49,183 DEBUG Dir /var/cache/apt/archives/ mounted on /
2007-04-22 08:32:49,194 DEBUG Dir /home mounted on /
2007-04-22 08:32:49,195 DEBUG fs_free contains: '{'/var': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>, '/home': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>, '/boot': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>, '/usr': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>, '/': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>, '/var/cache/apt/archives/': <DistUpgradeControler.FreeSpace object at 0xb5b3c10c>}'
2007-04-22 08:32:49,350 DEBUG dir '/var/cache/apt/archives/' needs '157993918.0' of '<DistUpgradeControler.FreeSpace object at 0xb5b3c10c>' (8503963648.000000)
2007-04-22 08:32:49,350 DEBUG dir '/usr' needs '122789888.0' of '<DistUpgradeControler.FreeSpace object at 0xb5b3c10c>' (8345969730.000000)
2007-04-22 08:32:49,350 DEBUG dir '/usr' needs '52428800' of '<DistUpgradeControler.FreeSpace object at 0xb5b3c10c>' (8223179842.000000)
2007-04-22 08:32:49,351 DEBUG dir '/boot' needs '41943040' of '<DistUpgradeControler.FreeSpace object at 0xb5b3c10c>' (8170751042.000000)
2007-04-22 08:32:49,351 DEBUG dir '/' needs '10485760' of '<DistUpgradeControler.FreeSpace object at 0xb5b3c10c>' (8128808002.000000)
2007-04-22 08:40:40,126 ERROR SystemError from cache.commit(): E:Sub-process /usr/bin/dpkg returned an error code (1)
2007-04-22 08:40:40,159 DEBUG can't find apport gui
2007-04-22 08:40:40,786 ERROR SystemError from cache.commit(): installArchives() failed
2007-04-22 08:40:40,787 DEBUG can't find apport gui

tone77 (visseraj) wrote :

I forgot to mention, I used the following method to upgrade

apt-get install update-manager-core
do-release-upgrade

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

this is a strange error, /etc/init.d/atd failing to start? Can you please attach the output of:
$ ls -l /etc/init.d/atd
and maybe the end of the /var/log/syslog file after you run
$ sudo /etc/init.d/atd start

Thanks,
 Michael

Changed in update-manager:
status: Unconfirmed → Needs Info
tone77 (visseraj) wrote :

avisser@buffalo:~$ ls -l /etc/init.d/atd
-rwxr-xr-x 1 root root 969 2006-07-20 21:15 /etc/init.d/atd
avisser@buffalo:~$
avisser@buffalo:~$
avisser@buffalo:~$
avisser@buffalo:~$ sudo /etc/init.d/atd start
Password:
 * Starting deferred execution scheduler atd [ ok ]
avisser@buffalo:~$
avisser@buffalo:~$

Michael Vogt (mvo) on 2007-04-26
Changed in update-manager:
importance: Undecided → Medium
status: Needs Info → Confirmed
Sam Bromley (sam-sambromley) wrote :

This error occurs while upgrading from Feisty to Gutsy as well.

Here is the error message:

Cannot change to /var/spool/cron/atjobs: Permission denied

$ ls -ld /var/spool/cron/atjobs
drwxrwx--T 2 daemon daemon 4096 Jul 6 22:47 /var/spool/cron/atjobs

$ ls -ld /usr/sbin/atd
-rwxr-xr-x 1 root root 16040 Feb 20 10:11 /usr/sbin/atd

$ ls -l /etc/init.d/atd
-rwxr-xr-x 1 root root 969 Feb 20 10:11 /etc/init.d/atd

Cheers,
Sam

William Roe (willroe) wrote :

This same bug has occurred after upgrading to the Heron. Same error about permission on the /var/spool/cron/atjobs directory.

Apr 12 16:19:49 scytel atd[1656]: Cannot change to /var/spool/cron/atjobs: Permission denied

scytel% sudo ls -hl /var/spool/cron
total 0
drwxrwx--T 2 daemon daemon 72 2008-04-12 15:43 atjobs
drwxrwx--T 2 daemon daemon 48 2007-02-20 13:41 atspool
drwx-wx--T 2 root crontab 48 2008-04-06 23:02 crontabs

affects: update-manager (Ubuntu) → at (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers